Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::gpu::DeviceMemoryReservation Class Reference

## Public Member Functions
| DeviceMemoryReservation (DeviceMemory *state, int device, void *p, size_t size, cudaStream_t stream)
| DeviceMemoryReservation (DeviceMemoryReservation &&m) noexcept
DeviceMemoryReservation & | operator= (DeviceMemoryReservation &&m)
int | device ()
void * | get ()
size_t | size ()
cudaStream_t | stream ()

## Detailed Description

Definition at line 18 of file DeviceMemory.h.

The documentation for this class was generated from the following files:

- /data/users/hoss/faiss/gpu/utils/DeviceMemory.h
- /data/users/hoss/faiss/gpu/utils/DeviceMemory.cpp